Method: projects.locations.collections.dataObjects.batchDelete

Deletes dataObjects in a batch.

HTTP request

POST https://vectorsearch.googleapis.com/v1/{parent}/dataObjects:batchDelete

Path parameters

Parameters
parent

string

Required. The resource name of the Collection to delete the DataObjects in. Format: projects/{project}/locations/{location}/collections/{collection}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (DeleteDataObjectRequest)
    }
  ]
}
Fields
requests[]

object (DeleteDataObjectRequest)

Required. The request message specifying the resources to delete. A maximum of 1000 DataObjects can be deleted in a batch.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • vectorsearch.dataObjects.delete

For more information, see the IAM documentation.

DeleteDataObjectRequest

Request message for DataObjectService.DeleteDataObject.

JSON representation
{
  "name": string,
  "etag": string
}
Fields
name

string

Required. The name of the DataObject resource to be deleted. Format: projects/{project}/locations/{location}/collections/{collection}/dataObjects/{dataObject}

etag

string

Optional. The current etag of the DataObject. If an etag is provided and does not match the current etag of the DataObject, deletion will be blocked and an ABORTED error will be returned.